Summary:	KDE client for subversion
Name:		kdesvn
Version:	1.3.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://kdesvn.alwins-world.de/
Source:		http://kdesvn.alwins-world.de/trac.fcgi/downloads/%name-%version.tar.bz2
Requires:	graphviz
BuildRequires:	kdelibs4-devel
BuildRequires:	subversion-devel >= 1.5
Requires:	cervisia >= 1:4.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
kdesvn is yet another client for subversion. But it uses native 
KDE API instead of a extra lib like GAMBAS and it is using the 
native subversion delevelopment API instead of just parsing the 
output of the commandline tool like most other clients do. It tries 
to setup a look and feel like the standard filemanager of KDE and is 
integrated into it via KPart.
The base C++ interface to subversion I took from the (real great) tool 
Rapidsvn (see http://rapidsvn.tigris.org/) with some modifcations and fixes.

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING ChangeLog
%_kde_bindir/*
%_kde_libdir/kde4/*
%_kde_datadir/apps/kdesvn
%_kde_datadir/apps/kdesvnpart
%_kde_datadir/apps/kconf_update/*
%_kde_iconsdir/hicolor/*/*/*
%_kde_datadir/applications/kde4/kdesvn.desktop
%_kde_datadir/config.kcfg/*
%_kde_services/ServiceMenus/kdesvn_subversion.desktop
%_kde_services/ServiceMenus/kdesvn_subversion_toplevel.desktop
%_kde_services/kded/kdesvnd.desktop
%_kde_services/kdesvnpart.desktop
%_kde_services/ksvn*.protocol
%_mandir/man1/*

#-----------------------------------------------------------------

%define lib_svn_qt_major 5
%define lib_svn_qt %mklibname svnqt4_ %lib_svn_qt_major

%package -n %lib_svn_qt
Summary:   KDE Svn core library
Group:     System/Libraries
Obsoletes: %mklibname svnqt 1
Obsoletes: %mklibname svnqt 2
Obsoletes: %mklibname svnqt 3
Obsoletes: %{mklibname svnqt_ 5} < %version

%if %mdkversion < 200900
%post -n %lib_svn_qt -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %lib_svn_qt -p /sbin/ldconfig
%endif

%description -n %lib_svn_qt
KDE Svn core library

%files -n %lib_svn_qt
%defattr(-,root,root,-)
%_kde_libdir/*.so.%{lib_svn_qt_major}*

#-----------------------------------------------------------------

%package devel
Summary:	Kdesvn devel package
Group:		Development/KDE and Qt
Requires:	%lib_svn_qt = %version-%release

%description devel
kdesvn devel package

%files devel 
%defattr(-,root,root,-)
%_kde_includedir/*
%_kde_libdir/*.so
%_datadir/dbus-1/interfaces/org.kde.kdesvnd.xml

#-----------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang %{name} --with-html

# fwang: conflicts with cervisia
rm -f %buildroot%_kde_services/svn*.protocol

%clean
rm -rf %{buildroot}


%changelog
* Sat May 16 2009 Funda Wang <fundawang@mandriva.org> 1.3.1-1mdv2009.1
+ Revision: 376405
- New version 1.3.1

* Fri May 01 2009 Funda Wang <fundawang@mandriva.org> 1.3.0-1mdv2010.0
+ Revision: 369624
- New version 1.3.0

* Thu Feb 19 2009 Funda Wang <fundawang@mandriva.org> 1.2.4-1mdv2009.1
+ Revision: 342799
- New version 1.2.4

* Mon Jan 19 2009 Funda Wang <fundawang@mandriva.org> 1.2.3-1mdv2009.1
+ Revision: 331299
- New version 1.2.3

* Fri Nov 14 2008 Funda Wang <fundawang@mandriva.org> 1.2.2-1mdv2009.1
+ Revision: 303197
- New version 1.2.2

* Sat Oct 11 2008 Funda Wang <fundawang@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 291784
- New version 1.2.1 (kde4 version)

* Thu Oct 02 2008 Funda Wang <fundawang@mandriva.org> 1.0.2-2mdv2009.0
+ Revision: 290857
- move back svn protocol
- New version 1.0.2
- move man pages into main location

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 277922
- fix conflicts with kdesdk

* Sat Aug 30 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-1mdv2009.0
+ Revision: 277583
- New version 1.0.1
- BR sqlite3

  + Helio Chissini de Castro <helio@mandriva.com>
    - Avoid duplicates protocol with kdesdk, even been old

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 1.0.0-1mdv2009.0
+ Revision: 264142
- New version 1.0.0

* Sun Jul 20 2008 Funda Wang <fundawang@mandriva.org> 0.14.6-1mdv2009.0
+ Revision: 238900
- update to new version 0.14.6

* Mon Jul 14 2008 Funda Wang <fundawang@mandriva.org> 0.14.5-1mdv2009.0
+ Revision: 234874
- switch to /opt
- New version 0.14.5

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.14.4-1mdv2009.0
+ Revision: 210326
- Update to kdesvn 0.14.4

* Fri Apr 25 2008 Funda Wang <fundawang@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 197389
- New version 0.14.3

* Sat Mar 22 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.14.2-2mdv2008.1
+ Revision: 189499
- Fix groups ( tks to pterjan)

* Sun Feb 24 2008 Frederik Himpe <fhimpe@mandriva.org> 0.14.2-1mdv2008.1
+ Revision: 174119
- New upstream version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 27 2007 Funda Wang <fundawang@mandriva.org> 0.14.1-2mdv2008.1
+ Revision: 138355
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.14.1-1mdv2008.1
+ Revision: 108045
- new version

* Wed Oct 17 2007 Funda Wang <fundawang@mandriva.org> 0.14.0-1mdv2008.1
+ Revision: 99492
- new major
- fix file list
- New version 0.14.0

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-2mdv2008.0
+ Revision: 75177
- fix libname
- add RevisionControl menu category

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%_datadir/man by %%_mandir!

* Wed Aug 08 2007 Funda Wang <fundawang@mandriva.org> 0.13.0-1mdv2008.0
+ Revision: 60406
- New version 0.13.0

* Wed Jun 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-2mdv2008.0
+ Revision: 44897
- [BUGFIX] Add missing Require (iceauth)  (Bug 31615)

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.12.1-1mdv2008.0
+ Revision: 43701
- drop hardcoded packager tag
- new version
- spec file clean

* Mon May 07 2007 Laurent Montel <lmontel@mandriva.org> 0.12.0-1mdv2008.0
+ Revision: 23969
- 0.12

* Wed Apr 18 2007 Laurent Montel <lmontel@mandriva.org> 0.11.2-1mdv2008.0
+ Revision: 14668
- 0.11.2


* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 0.11.1-1mdv2007.0
+ Revision: 133103
- 0.11.1
- 0.11.0
- Add sources
- 0.10.0
  Now it used cmake
- Necessary to generate makefile

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Remove unused source
    - Remove patch as it broken menu entry under KDE original menu

* Tue Aug 29 2006 Laurent Montel <lmontel@mandriva.com> 0.9.2-1mdv2007.0
+ Revision: 58273
- 0.9.2

* Sat Jul 29 2006 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2007.0
+ Revision: 42486
- Added graphviz dependency. http://qa.mandriva.com/show_bug.cgi?id=23988

* Tue Jul 25 2006 Laurent Montel <lmontel@mandriva.com> 0.9.1-1mdv2007.0
+ Revision: 41961
- 0.9.1

* Wed Jul 19 2006 Laurent Montel <lmontel@mandriva.com> 0.9.0-1mdv2007.0
+ Revision: 41517
- 0.9.0
- 0.8.5
- Fix duplicate menu into new xdg menu
- 0.8.4
  Real fix for x86_64

  + Helio Chissini de Castro <helio@mandriva.com>
    - Small fixes on kdesvn to avoid global warnings on youri
    - Subversion test
    - Changed soname. Got caught in the upgrade.
    - New upstream release 0.8.3
    - Fix again the svn/regular commit breakage.
      * Seg Abr 24 2006 Jerome Martin <jmartin@mandriva.org> 0.8.2-1mdk
    - 0.8.2
    - Miss ldconfig on library
    - New upstream release 0.8.0
    - Created libsvnqt and devel subpackages
    - Increase release
    - Humanmistake under pressure. I need vacations soon or will become too
      depressed because the trashing snowball hitting me
    - Make suitable for other non %%ix86 32 bits archs. Thanks to L. Montel for point this
    - Fixed changelog to make it back to svn
    - Fix compilation against x86_64

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Increase release
    - Fix Description size
    - Add a warning ( kdesvn is in svn)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu Mar 02 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Feb 01 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.3-1mdk
- 0.7.3

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-3mdk
- Missing postun postin

* Fri Jan 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-2mdk
- Use --enable-final
- Fix missing file

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 0.7.2-1mdk
- Clean spec
- 0.7.2
- Add menu entry

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.1-2mdk
- rebuilt against new openldap-2.3.6 libs

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:54:38 (674)
- First package to Mandriva contrib

* Thu Aug 18 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-08-17 08:05:45 (673)
- Created package structure for kdesvn.

